Update an endpoint's deduplication config (null resets to the default)
curl --request PATCH \
--url https://api.webhook.co/v1/endpoints/{endpointId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dedupConfig": {
"windowSeconds": 302430
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dedupConfig: {windowSeconds: 302430}})
};
fetch('https://api.webhook.co/v1/endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.webhook.co/v1/endpoints/{endpointId}"
payload = { "dedupConfig": { "windowSeconds": 302430 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.webhook.co/v1/endpoints/{endpointId}"
payload := strings.NewReader("{\n \"dedupConfig\": {\n \"windowSeconds\": 302430\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"paused": true,
"createdAt": "2023-11-07T05:31:56Z",
"dedupConfig": {
"mode": "identifier",
"windowSeconds": 302430,
"fields": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}<string>Endpoints
Update an endpoint's deduplication config (null resets to the default)
PATCH
/
v1
/
endpoints
/
{endpointId}
Update an endpoint's deduplication config (null resets to the default)
curl --request PATCH \
--url https://api.webhook.co/v1/endpoints/{endpointId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dedupConfig": {
"windowSeconds": 302430
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dedupConfig: {windowSeconds: 302430}})
};
fetch('https://api.webhook.co/v1/endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.webhook.co/v1/endpoints/{endpointId}"
payload = { "dedupConfig": { "windowSeconds": 302430 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.webhook.co/v1/endpoints/{endpointId}"
payload := strings.NewReader("{\n \"dedupConfig\": {\n \"windowSeconds\": 302430\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"paused": true,
"createdAt": "2023-11-07T05:31:56Z",
"dedupConfig": {
"mode": "identifier",
"windowSeconds": 302430,
"fields": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}<string>Authorizations
A whk_-prefixed API key (opaque; not a JWT).
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Show child attributes
Show child attributes
Response
Success.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Show child attributes
Show child attributes
Was this page helpful?